Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus
Class ReflectiveEventHandlerFactory<E,C,H extends EventBus.Handle<E,Integer,C>,S extends EventStore<E,Integer,C,H,S>>

Show UML class diagram

    java.lang.Object
      com.hammurapi.eventbus.IntrospectorBase<E,C>
          com.hammurapi.eventbus.ReflectiveEventHandlerFactory<E,C,H,S>

Type Parameters:
  `E` -
  `C` -

Direct Known Subclasses:
  Introspector

    public class ReflectiveEventHandlerFactory<E,C,H extends EventBus.Handle<E,Integer,C>,S extends EventStore<E,Integer,C,H,S>>

extends IntrospectorBase<E,C>

This class adds a single method to the base class - it creates predicate/handler pairs from

Nested Class Summary

Nested classes/interfaces inherited from class com.hammurapi.eventbus.IntrospectorBase
`IntrospectorBase.IntrospectionResult<E,C>`

Constructor Summary
`protected` | `ReflectiveEventHandlerFactory(ClassLoader classLoader, TokenExpander tokenExpander)`

Method Summary
`Collection<ReflectiveEventHandler<E,C,H,S>>` | `createHandlers(C instance, Class<E> eventType)` Introspects class and creates predicate/handler pairs.

Methods inherited from class com.hammurapi.eventbus.IntrospectorBase
`introspect`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReflectiveEventHandlerFactory

    protected ReflectiveEventHandlerFactory(ClassLoader classLoader,
                                            TokenExpander tokenExpander)

Method Detail

### createHandlers

    public Collection<ReflectiveEventHandler<E,C,H,S>> createHandlers(C instance,
                                                                      Class<E> eventType)

  Introspects class and creates predicate/handler pairs.

  Parameters:
    `handlerClass` -
    `eventType` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD